### Description
Makes solid marble texture with strong veins. The "veincolor" parameter controls the color of the veins. The background color is given by the surface's DiffuseColor.

Explore the parameter space with the vtkSliderWidget.

#### Parameters:

* _veinfreq_ - controls the lowest frequency of the color veins

* _veinlevels_ - how many "levels" of vein tendrills it has

* _warpfreq_ - lowest frequency of the turbulent warping in the marble

* _ warping_ - controls how much turbulent warping there will be

* _veincolor_ - the color of the veins

* _sharpness_ - controls how sharp or fuzzy the veins are (higher = sharper)

!!! cite
    This shader is inspired by Larry Gritz's veined marble shader.
